New: use Extruct search and tables from Claude, Codex, and more with the remote MCP server.
New: use Extruct search and tables from Claude, Codex, and more with the remote MCP server.
Get details about the authenticated user.
curl --request GET \
--url https://api.extruct.ai/v1/user \
--header 'Authorization: Bearer <token>'{
"user_id": "<string>",
"email": "<string>",
"available_credits": 123,
"organization_id": "<string>",
"organization_name": "<string>",
"organization_slug": "<string>",
"organization_is_active": true
}Documentation Index
Fetch the complete documentation index at: https://docs.extruct.ai/llms.txt
Use this file to discover all available pages before exploring further.
export EXTRUCT_API_TOKEN="YOUR_API_TOKEN"
curl --get "https://api.extruct.ai/v1/user" \
-H "Authorization: Bearer ${EXTRUCT_API_TOKEN}"
Authorization header (required): Bearer ${EXTRUCT_API_TOKEN}.email and available_credits.
401 UnauthorizedBearer prefix.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
curl --request GET \
--url https://api.extruct.ai/v1/user \
--header 'Authorization: Bearer <token>'{
"user_id": "<string>",
"email": "<string>",
"available_credits": 123,
"organization_id": "<string>",
"organization_name": "<string>",
"organization_slug": "<string>",
"organization_is_active": true
}